中危 389-ds-base 安全漏洞

CVE编号

CVE-2021-4091

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-02-22
漏洞描述
389-ds-base是一个高度可用、功能齐全、可靠且安全的 LDAP 服务器实现。它处理世界上许多最大的 LDAP 部署。

389-ds-base 存在安全漏洞,该漏洞源于。在持久搜索中,389-ds-base处理虚拟属性上下文的方式中发现了重释放问题。攻击者可利用该漏洞可以发送一系列搜索请求,迫使服务器异常行为,并崩溃。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://access.redhat.com/security/cve/cve-2021-4091
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 port389 389-ds-base * Up to
(excluding)
1.3.10.2
运行在以下环境
系统 alibaba_cloud_linux_2.1903 389-ds-base * Up to
(excluding)
1.3.10.2-15.1.al7
运行在以下环境
系统 amazon_2 389-ds-base * Up to
(excluding)
1.3.10.2-16.amzn2.0.1
运行在以下环境
系统 amazon_AMI 389-ds-base * Up to
(excluding)
1.3.10.2-16.69.amzn1
运行在以下环境
系统 anolis_os_7 389-ds-base-devel * Up to
(excluding)
1.3.10.2-15
运行在以下环境
系统 anolis_os_8 389-ds-base-legacy-tools * Up to
(excluding)
1.4.3.23-14.0.1
运行在以下环境
系统 centos_7 389-ds-base * Up to
(excluding)
1.3.10.2-15.el7_9
运行在以下环境
系统 debian_10 389-ds-base * Up to
(excluding)
1.4.0.21-1+deb10u1
运行在以下环境
系统 debian_11 389-ds-base * Up to
(including)
1.4.4.11-2
运行在以下环境
系统 debian_12 389-ds-base * Up to
(excluding)
2.0.15-1
运行在以下环境
系统 debian_9 389-ds-base * Up to
(including)
1.3.5.17-2
运行在以下环境
系统 debian_sid 389-ds-base * Up to
(excluding)
2.0.15-1
运行在以下环境
系统 opensuse_Leap_15.3 389-ds-devel * Up to
(excluding)
1.4.4.19
运行在以下环境
系统 opensuse_Leap_15.4 389-ds-devel * Up to
(excluding)
150400.3.5.1
运行在以下环境
系统 oracle_7 oraclelinux-release * Up to
(excluding)
1.3.10.2-15.el7_9
运行在以下环境
系统 oracle_8 oraclelinux-release * Up to
(excluding)
1.4.3.23-14.module+el8.5.0+20517+748852bc
运行在以下环境
系统 redhat_7 389-ds-base * Up to
(excluding)
1.3.10.2-15.el7_9
阿里云评分
6.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-415 双重释放
阿里云安全产品覆盖情况